Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2892923002: Remove SupportsWeakPtr from GPUTracer and CommandExecutor (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months ago by Chandan
Modified:
3 months ago
Reviewers:
Zhenyao Mo, piman
CC:
chromium-reviews, piman+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove SupportsWeakPtr from GPUTracer and CommandExecutor GPUTracer and CommandExecutor unnecessarily inherit SupportsWeakPtr. BUG=None CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.android:android_optional_gpu_tests_rel;master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel Review-Url: https://codereview.chromium.org/2892923002 Cr-Commit-Position: refs/heads/master@{#473804} Committed: https://chromium.googlesource.com/chromium/src/+/6df0b5c128f7ebfe6c6cc3b8bd496ea3e13fa8cc

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2 lines, -6 lines) Patch
M gpu/command_buffer/service/command_executor.h View 2 chunks +1 line, -3 lines 0 comments Download
M gpu/command_buffer/service/gpu_tracer.h View 2 chunks +1 line, -3 lines 0 comments Download
Trybot results:  win_chromium_x64_rel_ng   win_clang   win_optional_gpu_tests_rel   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   mac_optional_gpu_tests_rel   win_chromium_compile_dbg_ng   ios-device   ios-device-xcode-clang   ios-simulator   ios-simulator-xcode-clang   linux_chromium_tsan_rel_ng   linux_optional_gpu_tests_rel   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   chromium_presubmit   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   android_optional_gpu_tests_rel   cast_shell_linux   linux_android_rel_ng   android_n5x_swarming_rel   android_cronet   cast_shell_android   android_clang_dbg_recipe   android_arm64_dbg_recipe   android_compile_dbg   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_optional_gpu_tests_rel   win_clang   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   mac_optional_gpu_tests_rel   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_optional_gpu_tests_rel   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   android_optional_gpu_tests_rel   cast_shell_android   android_n5x_swarming_rel   android_compile_dbg   android_cronet   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 15 (10 generated)
Chandan
Minor cleanup. PTAL. Thank you.
3 months ago (2017-05-19 14:23:56 UTC) #5
Chandan
+piman@ PTAL.
3 months ago (2017-05-22 19:26:23 UTC) #9
piman
lgtm
3 months ago (2017-05-22 19:34:27 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2892923002/1
3 months ago (2017-05-23 03:01:26 UTC) #12
commit-bot: I haz the power
3 months ago (2017-05-23 03:54:54 UTC) #15
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/6df0b5c128f7ebfe6c6cc3b8bd49...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b